GTPin: gtpin::GtStateRegAccessor Struct Reference

GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
gtpin::GtStateRegAccessor Struct Reference
GTPin: GEN Architecture

Structure that defines some fields of the GEN State Register (SR) and provides access to these fields. More...

`#include <gt_gpu_defs.h>`

## Public Member Functions
BitFieldU32 | SliceIdField () const
| Return SliceID field.
BitFieldU32 | DualSubSliceIdField () const
| Return Dual-SubSliceID field.
BitFieldU32 | SubSliceIdField () const
| Return SubSliceID field.
ScatteredBitFieldU32 | EuIdField () const
| Return EUID field.
BitFieldU32 | ThreadSlotField () const
| Return Thread slot field.
ScatteredBitFieldU32 | GlobalTidField () const
| Return Global Thread Identifier field.
uint32_t | GetSliceId (uint32_t sr00) const
| Return value of the SliceID field in sr00.
uint32_t | GetDualSubSliceId (uint32_t sr00) const
| Return value of the Dual-SubSliceID field in sr00.
uint32_t | GetSubSliceId (uint32_t sr00) const
| Return value of the SubSliceID field in sr00.
uint32_t | GetEuId (uint32_t sr00) const
| Return value of the EuId field in sr00.
uint32_t | GetThreadSlot (uint32_t sr00) const
| Return value of the ThreadSlot field in sr00.
uint32_t | GetGlobalTid (uint32_t sr00) const
| Return value of the GlobalTid field in sr00.
uint32_t | SetGlobalTid (uint32_t sr00, uint32_t gtid) const
| Set 'gtid' value in the GlobalTid field of sr00.
BitFieldU32 | FfTidField () const
| Return FFTid field.
BitFieldU32 | TileIdField () const
| Return Tile Id field.
uint32_t | GetFfTid (uint32_t sr01) const
| Return value of the FFTid field in sr01.
uint32_t | GetTileId (uint32_t sr01) const
| Return value of the TileId in sr01.
## Data Fields
BitFieldU32 | sliceId
| SliceID field.
BitFieldU32 | dualSubSliceId
| Dual-SubSliceID field.
BitFieldU32 | subSliceId
| SubSliceID field.
ScatteredBitFieldU32 | euId
| EUID field.
BitFieldU32 | threadSlot
| ThreadSlot field.
BitFieldU32 | ffTid
| Fixed Function Thread ID.
BitFieldU32 | tileId
| Physical tile ID.

## Detailed Description

Structure that defines some fields of the GEN State Register (SR) and provides access to these fields.

Note:
  Some of these fields could be present in a subset of GEN models, but absent in the rest of models. If a field is not present in a concrete GEN model, it is represented by an empty BitField.
  Instance of this class for a specific GEN model can be obtained by the IGtGenModel::StateRegAccessor() function.

Terminology: The combination of {SliceID, Dual-SubSliceID, SubSliceID, EUID, ThreadSlot} fields is called Global HW Thread Identifier (GTID). The term 'Global' in this context means that the identifier is unique across all slices, subslices, EUs of the entire system.

## Member Function Documentation

uint32_t gtpin::GtStateRegAccessor::SetGlobalTid | ( | uint32_t | sr00,
|  | uint32_t | gtid
| ) |  | const`[inline]`

Set 'gtid' value in the GlobalTid field of sr00.

Returns:
  modified sr00

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT